package logic

import (
	"app.yhyue.com/moapp/jybase/common"
	"context"
	"jyBXBase/api/internal/types"
	"jyBXBase/rpc/type/bxbase"

	"github.com/zeromicro/go-zero/core/logx"
	"jyBXBase/api/internal/svc"
)

type IsCollActionLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewIsCollActionLogic(ctx context.Context, svcCtx *svc.ServiceContext) *IsCollActionLogic {
	return &IsCollActionLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *IsCollActionLogic) IsCollAction(req *types.IsCollAction) (resp *types.CommonRes, err error) {
	res, err0 := l.svcCtx.Bxbase.IsCollAction(l.ctx, &bxbase.IsCollActionReq{
		UserId: req.UserId,
		Bids:   req.Bids,
		Label:  req.Label,
		AppId:  req.AppId,
	})
	if err0 != nil {
		return &types.CommonRes{
			Err_code: -1,
			Err_msg:  "错误",
			Data:     nil,
		}, nil
	}
	return &types.CommonRes{
		Err_code: common.IntAll(res.ErrCode),
		Err_msg:  res.ErrMsg,
		Data:     res.Data,
	}, nil
}
